<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>yunzhupaas-java-boot</artifactId>
        <groupId>com.yunzhupaas</groupId>
        <version>5.2.0-RELEASE</version>
    </parent>

    <modelVersion>4.0.0</modelVersion>
    <artifactId>yunzhupaas-admin</artifactId>
    <packaging>jar</packaging>
    <!--打包WAR包删除注释-->
    <!--<packaging>war</packaging>-->

    <dependencies>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-file-controller</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-extend-controller</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-system-controller</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-scheduletask-controller</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-message-controller</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-permission-controller</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-visualdev-base-controller</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-visualdev-onlinedev-controller</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-visualdev-generater-controller</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-visualdev-portal-controller</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-visualdata-controller</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-exception</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-oauth-controller</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-example-controller</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-app-controller</artifactId>
            <version>${project.version}</version>
        </dependency>

<!--        基础信息-->
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-mdm-controller</artifactId>
            <version>${project.version}</version>
        </dependency>
<!--        客户关系-->
<!--        <dependency>-->
<!--            <groupId>com.yunzhupaas</groupId>-->
<!--            <artifactId>yunzhupaas-crm-controller</artifactId>-->
<!--            <version>${project.version}</version>-->
<!--        </dependency>-->
<!--        <dependency>-->
<!--            <groupId>com.yunzhupaas</groupId>-->
<!--            <artifactId>yunzhupaas-pcm-controller</artifactId>-->
<!--            <version>${project.version}</version>-->
<!--        </dependency>-->

        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-visualdev-integrate-controller</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-flowable-controller</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-train-controller</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.yunzhupaas</groupId>
            <artifactId>yunzhupaas-common-i18n</artifactId>
        </dependency>

        <!-- 单点登录相关依赖-Start -->
<!--        <dependency>-->
<!--            <groupId>com.yunzhupaas</groupId>-->
<!--            <artifactId>yunzhupaas-sso-starter-all</artifactId>-->
<!--            <version>${project.version}</version>-->
<!--        </dependency>-->
        <!-- 单点登录(用户信息拉取)相关依赖 -->
<!--        <dependency>-->
<!--            <groupId>com.yunzhupaas</groupId>-->
<!--            <artifactId>yunzhupaas-sso-connector</artifactId>-->
<!--            <version>${project.version}</version>-->
<!--        </dependency>-->
        <!-- 单点登录(用户信息推送)相关依赖 -->
<!--        <dependency>-->
<!--            <groupId>com.yunzhupaas</groupId>-->
<!--            <artifactId>yunzhupaas-sso-pull</artifactId>-->
<!--            <version>${project.version}</version>-->
<!--        </dependency>-->
        <!-- 单点登录相关依赖-End -->

        <!--打包WAR包删除注释-->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-tomcat</artifactId>
            <scope>provided</scope>
        </dependency>

    </dependencies>



    <build>
        <plugins>
            <!-- ... -->
            <!--打包WAR包注释插件-->
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <mainClass>com.yunzhupaas.AdminApplication</mainClass>
                    <layout>ZIP</layout>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <!-- ... -->
            <!--打包WAR包删除注释-->
            <!--<plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-war-plugin</artifactId>
                <version>3.3.2</version>
                <configuration>
                    <warSourceExcludes>src/main/resources/**</warSourceExcludes>
                    <failOnMissingWebXml>false</failOnMissingWebXml>
                </configuration>
            </plugin>-->
        </plugins>
    </build>
</project>
